### BEGIN ejudge auto-generated makefile ###
EJUDGE_PREFIX_DIR ?= /opt/ejudge
EJUDGE_CONTESTS_HOME_DIR ?= /home/ejudge/judges
EJUDGE_LOCAL_DIR ?= /var/lib/ejudge
EJUDGE_SERVER_BIN_PATH ?= /opt/ejudge/libexec/ejudge/bin

CXX = g++
CXXFLAGS = -Wall -g -O2
CXXLIBCHECKERFLAGS = -Wall -g -O2 -I${EJUDGE_PREFIX_DIR}/include/ejudge -L${EJUDGE_PREFIX_DIR}/lib64 -Wl,--rpath,${EJUDGE_PREFIX_DIR}/lib64
CXXLIBCHECKERLIBS = -lchecker -lm

EXECUTE = ${EJUDGE_PREFIX_DIR}/bin/ejudge-execute
EXECUTE_FLAGS =  --input-file=robot.in --output-file=robot.out --test-pattern=%03d.dat --corr-pattern=%03d.ans --time-limit=2

NORMALIZE = ${EJUDGE_SERVER_BIN_PATH}/ej-normalize
NORMALIZE_FLAGS = --workdir=tests --test-pattern=%03d.dat --corr-pattern=%03d.ans

all : gvaluer
check_settings : all normalize


gvaluer : gvaluer.cpp
	${CXX} -DEJUDGE ${CXXLIBCHECKERFLAGS} gvaluer.cpp -ogvaluer ${CXXLIBCHECKERLIBS}


normalize :
	${NORMALIZE} ${NORMALIZE_FLAGS} --all-tests

clean :
	-rm -f *.o *.class *.exe *~ *.bak gvaluer

### END ejudge auto-generated makefile ###
